/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package it.inaf.oats.vospacebackend.implementation;

import java.util.HashMap;


public class FileRecord {
    
    private static final String original_file_name = "original_file_name";
    private static final String stored_file_name   = "stored_file_name";
    private static final String md5_checksum       = "md5_checksum"; 
    private static final String relative_path      = "relative_path";       
    
    private HashMap content = new HashMap<String, String>();
    
    public FileRecord() {
        
        content.put(original_file_name, "");
        content.put(stored_file_name, "");
        content.put(md5_checksum, "");
        content.put(relative_path, "");
        
    }
    
    public FileRecord(String fileName, String stored_f_name, String md5Checksum, String relativePath) {
        
        content.put(original_file_name, fileName);
        content.put(stored_file_name, stored_f_name);
        content.put(md5_checksum, md5Checksum);
        content.put(relative_path, relativePath);
        
    }
    
    public HashMap getFileRecord() {
        
        return content;
        
    }
    
    public void setFileRecord(String fileName, String stored_f_name, String md5Checksum, String relativePath) {
        
        content.put(original_file_name, fileName);
        content.put(stored_file_name, stored_f_name);
        content.put(md5_checksum, md5Checksum);
        content.put(relative_path, relativePath);
        
    }
    
}

